# azure.batch package

## Submodules

- azure.batch.models module
- azure.batch.operations module

## Module contents

class `azure.batch.``BatchServiceClient`(credentials, batch_url)

  Bases: `msrest.service_client.SDKClient`

  A client for issuing REST requests to the Azure Batch service.

  Variables:

  - config (BatchServiceClientConfiguration) – Configuration for client.
  - application (azure.batch.operations.ApplicationOperations) – Application operations
  - pool (azure.batch.operations.PoolOperations) – Pool operations
  - account (azure.batch.operations.AccountOperations) – Account operations
  - job (azure.batch.operations.JobOperations) – Job operations
  - certificate (azure.batch.operations.CertificateOperations) – Certificate operations
  - file (azure.batch.operations.FileOperations) – File operations
  - job_schedule (azure.batch.operations.JobScheduleOperations) – JobSchedule operations
  - task (azure.batch.operations.TaskOperations) – Task operations
  - compute_node (azure.batch.operations.ComputeNodeOperations) – ComputeNode operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - batch_url (str) – The base URL for all Azure Batch service requests.

class `azure.batch.``BatchServiceClientConfiguration`(credentials, batch_url)

  Bases: `msrestazure.azure_configuration.AzureConfiguration`

  Configuration for BatchServiceClient Note that all parameters used to create this instance are saved as instance attributes.

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - batch_url (str) – The base URL for all Azure Batch service requests.